---

# By default, we do not set this as the OS should do a reasonable job
# of picking a value depending on the amount of RAM.
# e.g. With 64GB RAM on a 14.04.4 system with kernel 4.2 `/proc/sys/fs/file-max` is set to 6532430
set_system_max_open_files_limit: no
system_max_open_files_limit: 2000000

# The default soft/hard per-process limits of 1024/4096 are generally too low
# for many high load/throughput uses. We up this significantly by default
# (and set soft/hard to the same value)
process_max_open_files_limit: 50000
